#ifndef WIDGETVIEWPHOTO_H
#define WIDGETVIEWPHOTO_H

#include <QWidget>
#include "CHttpBll.h"

namespace Ui {
class widgetViewPhoto;
}

class widgetViewPhoto : public QWidget
{
    Q_OBJECT

public:
    explicit widgetViewPhoto(int nIndex, QStringList list, QWidget *parent = nullptr);
    ~widgetViewPhoto();
signals:
    void viewImgClose();

private slots:
    void on_btn_prev_photo_clicked();

    void on_btn_next_photo_clicked();

    void on_btn_vp_close_clicked();

private:
    void initUI();
	void showImage(QString sImage);

    Ui::widgetViewPhoto *ui;
    QStringList m_list;
    int m_nIdex;
};

#endif // WIDGETVIEWPHOTO_H
